# $Revision: 1.1 $, $Date: 2002/07/28 22:18:02 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Ctr
Summary:	Crypt::Ctr Perl module - encrypt data in Counter Mode
Summary(pl):	Modu Perla Crypt::Ctr - szyfrujcy dane w trybie licznika
Name:		perl-Crypt-Ctr
Version:	0.01
Release:	1
License:	unknown
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	perl-Crypt-CFB
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generic Counter Mode implementation in pure Perl. The Counter Mode
module constructs a stream cipher from a block cipher or cryptographic
hash funtion and returns it as an object. Any block cipher in the
Crypt:: class can be used, as long as it supports the blocksize and
keysize methods. Any hash function in the Digest:: class can be used,
as long as it supports the add method.

%description -l pl
Implementacja oglnego trybu licznika (Generic Counter Mode) w czystym
Perlu. Modu ten tworzy strumieniowy szyfr z blokowego szyfru lub
kryptograficznej funkcji mieszajcej i zwraca go jako obiekt. Moe by
wykorzystany dowolny szyfr blokowy z klasy Crypt::, o ile tylko
obsuguje metody blocksize i keysize. Moe by uyta dowolna funkcja
mieszajca z klasy Digest::, o ile tylko obsuguje metod add.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_sitelib}/Crypt/Ctr.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-Ctr.spec,v $
Revision 1.1  2002/07/28 22:18:02  qboosh
- new

